wx-config(1)

NAME
wx-config - generate compile time info for wxWindows

SYNOPSIS
wxbase-config
wxgtk-config

wx-config [--version] [--libs] [--cflags] [--cc] [--cxx] [--ld] [--prefix[=DIR]] [--exec-prefix[=DIR]]

DESCRIPTION
wx-config is a tool to determine the compiler and linker flags required for applications using the wxWindows toolkit(s).

wx-config is normally a symlink to one of the port-specific versions like wxbase-config or wxgtk-config which designates the default port to compile applications with. You can override this default either by using one of the specific versions directly, or by changing which version the symlink points to. On Debian systems this can be done using the update-alternatives(8) mechanism.

OPTIONS
wx-config accepts the following options:

--version
    What to ALWAYS include in a bug report.
    ( But of course you already knew that ... )

--libs
    Generate linker flags for a wxWindows program.

--cflags
    Generate compiler flags for the same.

--cc
    Output the name of the C compiler $(CC).

--cxx
    Output the name of the C++ compiler $(CXX).

--ld
    Output the Linker command $(LD).

--prefix=PREFIX
    If specified, use PREFIX instead of the installation prefix that wxWindows was built with when computing the output for the --cflags and --libs options. This option is also used for the exec prefix if --exec-prefix was not specified. This option must be specified before any --libs or --cflags options.

(Translation: this is the root path to the wxWindows headers -- [Ron])

--exec-prefix=PREFIX
    If specified, use PREFIX instead of the installation exec prefix that wxWindows was built with when computing the output for the --cflags and --libs options. This option must be specified before any --libs or --cflags options.

(Translation: this is the root path to the wxWindows library -- [Ron])

SEE ALSO
gtk-config(1), update-alternatives(8)

COPYRIGHT
This manpage was copied whole-heartedly from the gtk-config(1) manpage by Brian Bassett <brianb@debian.org> for the Debian GNU/Linux distribution of wxGTK. It was then updated to include new options and otherwise bastardised generally by Ron Lee <ron@debian.org> The original gtk-config manpage copyright: Copyright © 1995 Spencer Kimball and Peter Mattis Permission to use, copy, modify, and distribute this software and its documentation for any purpose and without fee is hereby granted, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation.